import React from 'react';
export declare const defaultQueries: string[];
export declare function getHeaderTags(hi: HeaderInfo): JSX.Element;
export type HeaderInfo = {
    baseUrl: string;
    description: string;
    imageAlt: string;
    relativeImageUrl: string;
    relativePageUrl: string;
    title: string;
    twitterName: string;
    type: string;
};
export declare const isBrowser: false | (Window & typeof globalThis);
export declare const masonryQueries: string[];
export declare enum Size {
    sm = 0,
    md = 1,
    lg = 2,
    xl = 3,
    xxl = 4,
    fluid = 5
}
export declare enum UiFunction {
    Primary = 0,
    Secondary = 1,
    Success = 2,
    Danger = 3,
    Warning = 4,
    Info = 5,
    Light = 6,
    Dark = 7,
    Link = 8
}
export declare function useColumnSizes(size: Size, colSpan: number): React.CSSProperties;
export declare function useContainerSizes(size: Size): string;
export declare function useMasonryColumns(): number;
export declare function useMedia<T>(queries: string[], values: T[], defaultValue: T): T;
export declare function useWindowSize(): {
    width: number;
    height: number;
};
